# import gnupg
import json
import logging.config
import pathlib

logger = logging.getLogger("vm_management")


# Logging is https://www.youtube.com/watch?v=9L77QExPmI0
def setup_logging():
    config_file = pathlib.Path("logging_configs/config.json")
    with open(config_file, "r") as config_file:
        config = json.load(config_file)
    logging.config.dictConfig(config)


def main():
    setup_logging()
    logger.debug("Logging configured")
    logger.info("Logging configured")
    logger.warning("Logging configured")
    logger.error("Logging configured")
    logger.critical("Logging configured")

    # ä gnupg = gnupg.GPG()
    # logging.basicConfig(level=logging.INFO)

    # gpg = gnupg.GPG(gnupghome="~/.gnupg", verbose=True)
    # gpg.encoding="utf-8"
    # with open("~/Downloads/hashicorp_vault_token.gpg", "r") as file:
    #    # secret = file.read()


if __name__ == "__main__":
    main()
